# An example on how to use MRCC_FHCl.py
#

from MRCC_FHCl import get_coef_2b_from_file, get_coef_3b_from_file
from MRCC_FHCl import V as V_hartree

atoms_energy = -559.805710343951 # MRCCSD(T)/aVTZ

toKJmol = 2625.4996224779529
toKcalmol = 627.50919773451778
toeV = 27.211383860484776
De_HCl_MRCCSD_T_ccw_CBS = 0.171496792 # hartree

coef_FH  = get_coef_2b_from_file( 'coef_FH')
coef_HCl = get_coef_2b_from_file( 'coef_HCl')
coef_ClF = get_coef_2b_from_file( 'coef_ClF')
coef_3b  = get_coef_3b_from_file( 'coef_3b')

# get potential in kcal/mol relative tot he entrance channel F + HCl
def V(R_FH, R_HCl, R_ClF):
    pot = V_hartree(R_FH, R_HCl, R_ClF, coef_FH, coef_HCl, coef_ClF, coef_3b)
    return (pot + De_HCl_MRCCSD_T_ccw_CBS)*toKcalmol

print "The energy at the entance channel is:"
print V(100.0, 2.410, 100.0)
print

print "The reaction exothermicity is:"
print V(1.733, 100.0, 100.0)
print

print "The barrier height is:"
print V(2.919600, 2.485202, 4.466868)

